### Method

# Pango GlyphString get_logical_widths

#### Declaration [src]

    void
    pango_glyph_string_get_logical_widths (
      PangoGlyphString* glyphs,
      const char* text,
      int length,
      int embedding_level,
      int* logical_widths
    )

#### Description [src]

Given a `PangoGlyphString` and corresponding text, determine the width corresponding to each character.

When multiple characters compose a single cluster, the width of the entire cluster is divided equally among the characters.

See also `pango_glyph_item_get_logical_widths()`.

#### Parameters

`text`

  Type: `const char*`

  The text corresponding to the glyphs.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  The length of `text`, in bytes.

`embedding_level`

  Type: `int`

  The embedding level of the string.

`logical_widths`

  Type: An array of `int`

  An array whose length is the number of characters in text (equal to `g_utf8_strlen (text, length)` unless text has `NUL` bytes) to be filled in with the resulting character widths.

  The argument will be set by the function.
  The returned data is owned by the instance.